Bug 1018700 - Should not inform user phpmyadmin things when embedding mysql cartridge
Should not inform user phpmyadmin things when embedding mysql cartridge
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 04:24 EDT by Gaoyun Pei
Modified: 2017-03-08 12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2013-10-14 04:24:57 EDT
Description of problem:
when embedding mysql-5.1 cartridge to a app, the client would inform something about phpmyadmin. But phpmyadmin is not supported as an add-on cartridge in OSE.

Version-Release number of selected component (if applicable):
http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterpriseErrata/2.0/2013-10-11.3/

How reproducible:
Always

Steps to Reproduce:
1.Create an app
2.Add mysql to the app
[root@broker ~]# rhc cartridge-add mysql-5.1 -a app1
Adding mysql-5.1 to application 'app1' ... done

mysql-5.1 (MySQL 5.1)
---------------------
  Gears:          Located with nodejs-0.10
  Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/
  Database Name:  app1
  Password:       nfCnLt7BCn2l
  Username:       adminrvGkJvW

MySQL 5.1 database added.  Please make note of these credentials:

       Root User: adminrvGkJvW
   Root Password: nfCnLt7BCn2l
   Database Name: app1

Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/

You can manage your new MySQL database by also embedding phpmyadmin.
The phpmyadmin username and password will be the same as the MySQL credentials above.


Actual results:

Expected results:
The content about phpmyadmin should be removed.
"You can manage your new MySQL database by also embedding phpmyadmin.
The phpmyadmin username and password will be the same as the MySQL credentials above.
"

Additional info:
Comment 3 Gaoyun Pei 2013-10-16 02:01:33 EDT
Test this on puddle 2.0/2013-10-15.2, phpmyadmin content has been removed.

[root@dhcp-8-133 workspace]# rhc cartridge add mysql-5.1 -a app1
Adding mysql-5.1 to application 'app1' ... done

mysql-5.1 (MySQL 5.1)
---------------------
  Gears:          Located with php-5.3
  Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/
  Database Name:  app1
  Password:       t_6zaiD74btF
  Username:       adminhhNCSpW

MySQL 5.1 database added.  Please make note of these credentials:

       Root User: adminhhNCSpW
   Root Password: t_6zaiD74btF
   Database Name: app1

Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/

Note You need to log in before you can comment on or make changes to this bug.